Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SessionImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl

Direct Known Subclasses:
  CatalogServiceImpl, CatalogWSImpl, DecryptorImpl, EncryptorImpl, ShippingHelperImpl

public abstract class SessionImpl
extends java.lang.Object
implements javax.ejb.SessionBean

This is the base implementation of the Business Smart Component (BSC) Session interface. For each BSC Session derived interface, there will be a corresponding BSC SessionImpl with business methods that are mirrored. It also provides storage for an SessionContext and an implementation of the Set and Get Session Context methods.

See Also:

  Session Beans also implement the SmartUpdate API. See the EntityImpl comments for more details. Although SmartUpdate is intended primarily for BMP, Session Beans may find it useful as well.

  , Serialized Form

Field Summary
`javax.ejb.SessionContext` | `_ctx`
`protected javax.naming.Context` | `_environmentNamingContext`
`protected java.util.Hashtable` | `_environmentPropertyCache`
`protected boolean` | `_isDirty`

Constructor Summary
`SessionImpl()` SessionImpl constructor.

Method Summary
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection, java.lang.Object o)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map, java.lang.Object key)`
`protected java.util.Collection` | `doRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)` Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.util.Map` | `doRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)` Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Belonging` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, Belonging value)` Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, javax.ejb.EJBObject value)` Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, java.lang.Object value)` Add relational information to a dependent object.
`protected Belonging` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, Belonging value)` Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, java.lang.Object value)` Add relational information to a dependent object.
`protected java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, Belonging belonging, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, java.lang.Object object, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`protected java.util.Collection` | `enumerateRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)` Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.util.Map` | `enumerateRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)` Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected javax.naming.Context` | `getEnvironmentNamingContext()` Returns the bean's environment naming context.
`java.lang.Object` | `getEnvironmentProperty(java.lang.String propertyName)` This method returns the value of the specified environment property.
`java.lang.Object` | `getEnvironmentProperty(java.lang.String propertyName, java.lang.Object defaultValue)` This method returns the value of the specified environment property or the specified default value if the environment property is not found.
`protected java.util.Hashtable` | `getEnvironmentPropertyCache()` Returns the bean's environment property cache
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Instantiates PersistenceHelperPlugin based on "...PersistenceHelperPlugin" property in commerce.properties file.
`javax.ejb.SessionContext` | `getSessionContext()` getSessionContext method.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` setSessionContext method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _isDirty

    protected transient boolean _isDirty

### _ctx

    public javax.ejb.SessionContext _ctx

### _environmentNamingContext

    protected transient javax.naming.Context _environmentNamingContext

### _environmentPropertyCache

    protected transient java.util.Hashtable _environmentPropertyCache

Constructor Detail

### SessionImpl

    public SessionImpl()

  SessionImpl constructor.

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  ejbActivate method.
  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException,
                          javax.ejb.EJBException

  ejbCreate method.

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  ejbPassivate method.
  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  ejbPostCreate method.

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  ejbRemove method.
  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  setSessionContext method.
  Specified by:
    setSessionContext in interface javax.ejb.SessionBean

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

  getSessionContext method.

### getEnvironmentNamingContext

    protected final javax.naming.Context getEnvironmentNamingContext()
                                                              throws javax.naming.NamingException

  Returns the bean's environment naming context.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### getEnvironmentPropertyCache

    protected final java.util.Hashtable getEnvironmentPropertyCache()

  Returns the bean's environment property cache

### getEnvironmentProperty

    public final java.lang.Object getEnvironmentProperty(java.lang.String propertyName)
                                                  throws javax.naming.NamingException

  This method returns the value of the specified environment property.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### getEnvironmentProperty

    public final java.lang.Object getEnvironmentProperty(java.lang.String propertyName,
                                                         java.lang.Object defaultValue)
                                                  throws javax.naming.NamingException

  This method returns the value of the specified environment property or the specified default value if the environment property is not found.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### doRelationalBindingOnElement

    protected final java.lang.Object doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                                  java.lang.Object value)

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnElement

    protected final Belonging doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                           Belonging value)

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnElement

    protected final javax.ejb.EJBObject doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                                     javax.ejb.EJBObject value)

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final java.lang.Object doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                                    java.lang.Object value)

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final Belonging doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                             Belonging value)

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final javax.ejb.EJBObject doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                                       javax.ejb.EJBObject ejbObject)

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    protected final java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                   java.lang.Object object,
                                                                   java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBindingWithMapKey

    protected final javax.ejb.EJBObject doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                      javax.ejb.EJBObject ejbObject,
                                                                      java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBindingWithMapKey

    protected final java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                   Belonging belonging,
                                                                   java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBinding

    protected final java.util.Collection doRelationalBinding(java.lang.String attributeIdentifier,
                                                             java.util.Collection collection)

  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBinding

    protected final java.util.Map doRelationalBinding(java.lang.String attributeIdentifier,
                                                      java.util.Map map)

  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map

### enumerateRelationalBinding

    protected final java.util.Collection enumerateRelationalBinding(java.lang.String attributeIdentifier,
                                                                    java.util.Collection collection)

  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### enumerateRelationalBinding

    protected final java.util.Map enumerateRelationalBinding(java.lang.String attributeIdentifier,
                                                             java.util.Map map)

  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Collection collection)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Collection collection,
                                             java.lang.Object o)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Map map,
                                             java.lang.Object key)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Map map)

### getPersistenceHelperPlugin

    public final PersistenceHelperPlugin getPersistenceHelperPlugin()

  Instantiates PersistenceHelperPlugin based on "...PersistenceHelperPlugin" property in commerce.properties file. This property can be specified either for each session, or as a "DefaultPersistenceHelperPlugin" property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved